Package: gtkglextmm / 1.2.0-8

Metadata

Package Version Patches format
gtkglextmm 1.2.0-8 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
Set ACLOCAL_AMFLAGS.patch | (download)

Makefile.am | 2 2 + 0 - 0 !
1 file changed, 2 insertions(+)

 set aclocal_amflags.

[smcv: omitted ChangeLog]

fix_ftbfs_gtk_2_20 | (download)

gtkglext/gtkmm/gl/widget.cc | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 fix ftbfs due to missing gdkspanfunc definition
 .
 The sequence of #include directives is important - if gtk/gtkglwidget.h
 is included first, before widget.h, it includes gdk.h without undefing
 GDK_DISABLE_DEPRECATED - this leads to GdkSpanFunc not being defined
 and compilation errors. 
 The fix is to first include widget.h which includes the right gdkmm header
 which defines GDK_DISABLE_DEPRECATED before including gdk.h.
fix_ftbfs_gtk_2_36 | (download)

gdkglext/gdkmm/gl/font.cc | 4 2 + 2 - 0 !
gdkglext/gdkmm/gl/init.cc | 4 2 + 2 - 0 !
gdkglext/gdkmm/gl/pixmapext.cc | 4 2 + 2 - 0 !
gdkglext/gdkmm/gl/query.cc | 4 2 + 2 - 0 !
gdkglext/gdkmm/gl/windowext.cc | 4 2 + 2 - 0 !
gdkglext/gdkmm/gl/wrap_init.cc | 13 6 + 7 - 0 !
6 files changed, 16 insertions(+), 17 deletions(-)

 fix compilation with glib 2.36 
autoconf_warning | (download)

m4macros/gtkglextmm.m4 | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix autoconf warning when running reconfigure
Fix FTBFS with modern glibmm.patch | (download)

configure.in | 7 3 + 4 - 0 !
1 file changed, 3 insertions(+), 4 deletions(-)

 fix ftbfs with modern glibmm

Based on upstream commit 065cf359524e332eb4ea556a6af776898a744b32.